%define upstream_name    AnyEvent-FTP
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Server response encoder that encodes responses so they cannot be confused
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(EV)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Dist)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(PerlIO::eol)
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(URI)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This distribution provides client and server implementations for File
Transfer Protocol (FTP) in an AnyEvent environment. For the specific
interfaces, see the AnyEvent::FTP::Client manpage and the
AnyEvent::FTP::Server manpage for details.

Before each release, the AnyEvent::FTP::Client manpage is tested against
these FTP servers using the 't/client_*.t' tests that come with this
distribution:

* Proftpd

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/aeftpd
%{_mandir}/man1/aeftpd.1*

%changelog
* Fri Apr 15 2022 tv <tv> 0.190.0-1.mga9
+ Revision: 1850166
- update to 0.19

* Mon Mar 28 2022 umeabot <umeabot> 0.180.0-2.mga9
+ Revision: 1830546
- Mageia 9 Mass Rebuild

* Sat Oct 30 2021 tv <tv> 0.180.0-1.mga9
+ Revision: 1753337
- update to 0.18

* Sat Jul 17 2021 tv <tv> 0.170.0-1.mga9
+ Revision: 1736378
- update to 0.17

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-6.mga8
+ Revision: 1503438
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-5.mga7
+ Revision: 1281584
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.160.0-4.mga7
+ Revision: 1162862
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 tv <tv> 0.160.0-3.mga7
+ Revision: 1156295
- really add missing BRs for testsuite
- add missing BRs for testsuite
+ guillomovitch <guillomovitch>
- new version 0.16

* Fri Jul 28 2017 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1131797
- New version 0.14

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-4.mga6
+ Revision: 1022504
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.90.0-3.mga6
+ Revision: 971854
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.90.0-2.mga6
+ Revision: 893421
- rebuild with fixed deps

* Wed Aug 05 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 861290
- update to 0.09

* Sat Jun 27 2015 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 846411
- update to 0.08

* Tue Jan 27 2015 shlomif <shlomif> 0.60.0-1.mga5
+ Revision: 812428
- Add missing BR
- Add missing BRs
- imported package perl-AnyEvent-FTP

